using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using HOL1.Model;
using HOL1.CustomerListView;

namespace HOL1
{
    public partial class Form1 : Form
    {
        CustomerListPresenter customerListPresenter;
        public Form1()
        {
            InitializeComponent();
            customerListPresenter = new CustomerListPresenter(this.customerListControl1);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            CustomerList list = this.GetCustomerList();
            customerListPresenter.CustomerList = list;
            customerListPresenter.RefreshView();

        }

        
        private CustomerList GetCustomerList()
        {
            Customer customer;
            CustomerList list = new CustomerList();

            customer = new Customer("Airline", new CustomerContact("Jhon", "15-4554-8588", "av. Mitre 15"));
            list.Add(customer);

            customer = new Customer("Motors", new CustomerContact("Jose", "15-4755-3776", "av. Rivadavia 2241"));
            list.Add(customer);

            return list;
        }

        
    }
}